org.apache.coyote.http2

## Class HpackDecoder

- java.lang.Object
- - org.apache.coyote.http2.HpackDecoder

-     public class HpackDecoder
      extends Object

  A decoder for HPACK.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected static StringManager` | `sm`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `HpackDecoder()`
    `HpackDecoder(int maxMemorySize)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `decode(ByteBuffer buffer)` Decodes the provided frame data.
    `org.apache.coyote.http2.HpackDecoder.HeaderEmitter` | `getHeaderEmitter()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### sm

          protected static final StringManager sm

  - ### Constructor Detail

    - #### HpackDecoder

          public HpackDecoder(int maxMemorySize)

    - #### HpackDecoder

          public HpackDecoder()

  - ### Method Detail

    - #### decode

          public void decode(ByteBuffer buffer)
                      throws HpackException

      Decodes the provided frame data. If this method leaves data in the buffer then this buffer should be compacted so this data is preserved, unless there is no more data in which case this should be considered a protocol error.
      Parameters:
        `buffer` - The buffer
      Throws:
        `HpackException` - If the packed data is not valid

    - #### getHeaderEmitter

          public org.apache.coyote.http2.HpackDecoder.HeaderEmitter getHeaderEmitter()

Copyright © 2000-2017 Apache Software Foundation. All Rights Reserved.